version: '3.4'
services:
#  Optional
  es-update-oersi-share:
   image: ${docker.share.image}:${alfresco.share.version}
   environment:
     REPO_HOST: es-update-oersi-acs
     REPO_PORT: 8080
   ports:
     - "${share.port}:8080"
  es-update-oersi-acs:
    image: alfresco-content-services-es-update-oersi:development
    build:
      dockerfile: ./Dockerfile
      context: ../../../target
    environment:
      JAVA_TOOL_OPTIONS: "${keystore.settings}"
      JAVA_OPTS: "
        -Dsolr.secureComms=secret
        -Dsolr.sharedSecret=secret
        -Dmessaging.broker.url=\"failover:(nio://es-update-oersi-activemq:61616)?timeout=3000&jms.useCompression=true\"
        "
      CATALINA_OPTS: "-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=0.0.0.0:8888"
    ports:
      - "${acs.port}:8080"
      - "${acs.debug.port}:8888"
    volumes:
      - es-update-oersi-acs-volume:/usr/local/tomcat/alf_data
    depends_on:
      - es-update-oersi-postgres
  es-update-oersi-postgres:
    image: postgres:9.6
    environment:
      POSTGRES_DB: alfresco
      POSTGRES_USER: alfresco
      POSTGRES_PASSWORD: alfresco
    command: postgres -c max_connections=300 -c log_min_messages=LOG
    ports:
      - "${postgres.port}:5432"
    volumes:
      - es-update-oersi-db-volume:/var/lib/postgresql/data
  es-update-oersi-ass:
    image: alfresco/alfresco-search-services:2.0.3
    environment:
      SOLR_ALFRESCO_HOST: es-update-oersi-acs
      SOLR_ALFRESCO_PORT: 8080
      SOLR_SOLR_HOST: es-update-oersi-ass
      SOLR_SOLR_PORT: 8983
      SOLR_CREATE_ALFRESCO_DEFAULTS: alfresco,archive
      ALFRESCO_SECURE_COMMS: "secret"
      JAVA_TOOL_OPTIONS: "-Dalfresco.secureComms.secret=secret"
    ports:
      - "8983:8983"
    volumes:
      - es-update-oersi-ass-volume:/opt/alfresco-search-services/contentstore
      - es-update-oersi-ass-volume:/opt/alfresco-search-services/data
  es-update-oersi-activemq:
      image: alfresco/alfresco-activemq:5.16.1
      mem_limit: 1g
      ports:
        - 8161:8161 # Web Console
        - 5672:5672 # AMQP
        - 61616:61616 # OpenWire
        - 61613:61613 # STOMP

volumes:
  es-update-oersi-acs-volume:
    external: true
  es-update-oersi-db-volume:
    external: true
  es-update-oersi-ass-volume:
    external: true
